hey frnds,

i m using nokia 5800 nd unable to install adobe reader le2.5.
while installing it says certificate error or constrained by certificate


Help Pls